Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79895 - Empty CDROM drive causes automounter/scsi diagnostics to be posted to log
Summary: Empty CDROM drive causes automounter/scsi diagnostics to be posted to log
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autofs
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Moyer
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-17 21:23 UTC by Need Real Name
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-05-11 21:23:32 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-12-17 21:23:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
Log file get poluted with messages of the form

Dec 16 19:22:41 varja kernel: Device not ready.  Make sure there is a disc in
the drive.
Dec 16 19:22:42 varja kernel: sym53c875-1-<4,*>: target did not report SYNC.
Dec 16 19:22:43 varja last message repeated 10 times
Dec 16 19:22:43 varja kernel: Device not ready.  Make sure there is a disc in
the drive.

and so forth, on an on.  The device in question is a Yamaha CDR400t
on SCSI bus.  It's unclear whetehr the diagnostic comes from the automounter
probing the device or whether the SCSI subsystem complaining  and logging the
complaint.

I would assert that having nothing in the drive should not be a problem.

The workaround is to always have a cdrom in the drive :-(



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH7.3 on machine with CRROM
2. Remove CDROM from drive
3. Inspect logs (or listen to the disk writing the record ever few seconds)
    

Actual Results:  Disk clatters, logs fill. 

Expected Results:  The probe for a CRDOM should have been silent with no diagnostic.

Additional info:

Comment 1 Jeff Moyer 2004-03-22 15:31:36 UTC
Please try with the latest autofs from Rawhide, and let me know if the
problem persists.

Comment 2 Jeff Moyer 2004-03-22 15:32:04 UTC
If the problem persists, please include your autofs configuration files.


Note You need to log in before you can comment on or make changes to this bug.